at.chipkarte.client.kse.soap.constants

## Class KseExceptionConstants

- Object
- - at.chipkarte.client.kse.soap.constants.KseExceptionConstants

-     public class KseExceptionConstants
      extends Object

  Fehlerkonstanten, die im Zusammenhang mit Konsultationen vom e-card Serversystem geliefert werden. Fehlercodes siehe `KseExceptionConstants`.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `ABSOLUTES_LIMIT_KONSULTATIONEN_UEBERSCHRITTEN` Die eingegebenen Suchkriterien führen zu einer unerlaubten Ergebnismenge.
    `static int` | `AGE_NOT_REACHED` Das nötige Alter wurde für den gewählten Behandlungsfall noch nicht erreicht.
    `static int` | `ALREADY_NEW_INTERZEPTIVE_BEHANDLUNG` Die Buchung der Konsultation ist nicht möglich, da bereits eine neue interzeptive Behandlung begonnen wurde.
    `static int` | `ALREADY_NEW_KFO_HAUPTBEHANDLUNG` Die Buchung der Konsultation ist nicht möglich, da bereits eine neue KFO Hauptbehandlung begonnen wurde.
    `static int` | `ANSPRUCH_ONLY_FOR_VU_MKP_ALLOWED` Der Patient ist nur für Vorsorgeuntersuchungen und für Leistungen aus dem Mutter-Kind-Pass Programm anspruchsberechtigt.
    `static int` | `ASYNC_REQUEST_ERROR` Bei der Bearbeitung der Suchanfrage ist am e-card Serversystem ein Fehler aufgetreten, daher gibt es kein Ergebnis zu der Suchanfrage.
    `static int` | `ASYNC_REQUEST_ID_NOT_FOUND` Die angeforderte Id zum Download der Konsultationsdaten konnte am e-card Server nicht gefunden werden.
    `static int` | `ASYNC_REQUEST_NOT_PROCESSED` Der Download für die angeforderte Id steht am e-card Serversystem noch nicht bereit.
    `static int` | `BEHANDLUNGSFALL_FOR_AGE_NOT_ALLOWED` Der Patient hat das zulässige Alter für diesen Behandlungsfall überschritten.
    `static int` | `BEHANDLUNGSFALL_FOR_GENDER_NOT_ALLOWED` Der Patient besitzt nicht das benötigte Geschlecht für diesen Behandlungsfall.
    `static int` | `BEHANDLUNGSFALL_FUER_SVT_NOT_ALLOWED` Der Behandlungsfall ist für den SVT nicht zulässig.
    `static int` | `BEHANDLUNGSFALL_MIT_ECARDTOKEN_NOT_POSSIBLE` Die Buchung der Konsultation ist nicht möglich, da für den Behandlungsfall die Verwendung der e-card des Patienten nicht zulässig ist.
    `static int` | `CERTIFICATE_PROBLEM_OCARD_DIALOG_REQUIRED` Es ist ein technisches Problem bei der Verarbeitung des SW-Zertifikats aufgetreten.
    `static int` | `COMPLIANCE_ALREADY_EXISTS` Es wurde bereits eine Compliance-Verwarnung innerhalb der bestehenden KFO Hauptbehandlung durch Sie gebucht.
    `static int` | `DATE_IN_FUTURE_EXCEPTION` Das angegebene Bearbeitungsdatum liegt in der Zukunft.
    `static int` | `DATE_OUT_OF_RANGE_EXCEPTION` Das Behandlungsdatum liegt außerhalb des gültigen Bereichs.
    `static int` | `ERSATZBELEG_NEEDED_NO_CHANGE_POSSIBLE` Für die gewünschte Änderung muss die Konsultation einen Ersatzbelegcode beinhalten.
    `static int` | `ERSATZBELEGCODE_FOR_PATIENT_NOT_USEABLE` Für den Patienten ist die Nutzung eines Ersatzbelegcodes nicht (mehr) möglich.
    `static int` | `ERSATZBELEGCODE_MIT_ECARDTOKEN_NOT_POSSIBLE` Bei Verwendung des e-Card-Token des Patienten ist die Angabe eines Ersatzbelegcodes nicht zulässig.
    `static int` | `ERSATZBELEGCODE_NOT_AVAILABLE_NOW` Die Angabe des Ersatzbelegcodes wird aktuell (noch) nicht unterstützt.
    `static int` | `FUNKTION_AUFRUF_NOT_POSSIBLE` Die aufgerufene Funktion steht zurzeit nicht zur Verfügung.
    `static int` | `INEXISTENT_ANSPRUCH_FOR_RESET` Das Zurücksetzen des Stornos ist nicht möglich, da sich der FG-Quartalsanspruch geändert hat und keine zusätzliche Anspruchsnutzung, zum KVT der stornierten Konsultation genehmigt ist.
    `static int` | `INTERZEPTIVE_BEHANDLUNG_ALREADY_EXISTS` Die Buchung einer weiteren Erstkonsultation ist nicht möglich, da sich der Patient bereits in interzeptiver Behandlung befindet.
    `static int` | `INTERZEPTIVE_BEHANDLUNG_ALREADY_FINISHED` Die Buchung "Ende interzeptive Behandlung" ist nicht möglich, da die interzeptive Behandlung des Patienten bereits durch Sie beendet wurde.
    `static int` | `INTERZEPTIVE_BEHANDLUNG_ENDE_NOT_POSSIBLE` Die Nacherfassung von "Ende interzeptive Behandlung" ist nicht möglich, da bereits weitere kieferorthopädische Behandlungen gebucht wurden.
    `static int` | `INTERZEPTIVE_BEHANDLUNG_WITH_OTHER_VP` Die Buchung der Konsultation ist nicht möglich, da eine neue interzeptive Behandlung durch einen anderen Vertragspartner begonnen wurde.
    `static int` | `INTERZEPTIVE_BEHANLDUNG_INTERZEPTIVE_REPARATUR_CONFLICT` Die Buchung "Reparatur interzeptive Behandlung" ist nur innerhalb einer bestehenden interzeptiven Behandlung möglich.
    `static int` | `INTERZEPTIVE_REPARATUR_ALREADY_EXISTS` Es wurde bereits eine Reparatur innerhalb der bestehenden interzeptiven Behandlung durch Sie gebucht.
    `static int` | `INVALID_BEHANDLUNGSFALL` Der ausgewählte Behandlungsfall ist für das ausgewählte Fachgebiet nicht erlaubt.
    `static int` | `INVALID_CARD_ODER_SIGNATUR` Die gesteckte Karte wird vom e-card Serversystem nicht akzeptiert.
    `static int` | `INVALID_CLAIM_EXCEPTION` Gewählter abgeleiteter KV-Anspruch ist nicht mehr gültig.
    `static int` | `INVALID_SPECIALISM_EXCEPTION` Fachgebietscode ist am e-card Serversystem nicht gültig.
    `static int` | `IOTN_MAX_LIMIT_EXCEEDED` Für den Patienten kann keine IOTN-Feststellung mehr gebucht werden, da die maximal erlaubte Anzahl an IOTN-Feststellungen schon erreicht wurde.
    `static int` | `IOTN_PERIOD_VIOLATION` Für den Patienten kann aktuell keine IOTN-Feststellung gebucht werden, da die letzte IOTN-Feststellung weniger als ein Jahr zurückliegt.
    `static int` | `KFO_BERATUNG_MAX_LIMIT_EXCEEDED` Für den Patienten kann keine KFO-Beratung mehr gebucht werden, da die maximal erlaubte Anzahl an KFO-Beratungen bereits erreicht wurde.
    `static int` | `KFO_HAUPTBEHANDLUNG_ALREADY_EXISTS` Die Buchung einer weiteren Erstkonsultation ist nicht möglich, da sich der Patient bereits in einer KFO Hauptbehandlung befindet.
    `static int` | `KFO_HAUPTBEHANDLUNG_ALREADY_FINISHED` Die Buchung "Ende KFO Hauptbehandlung" ist nicht möglich, da die KFO Hauptbehandlung des Patienten bereits durch Sie beendet wurde.
    `static int` | `KFO_HAUPTBEHANDLUNG_COMPLIANCE_CONFLICT` Die Buchung "Compliance-Verwarnung" ist nur innerhalb einer bestehenden KFO Hauptbehandlung möglich.
    `static int` | `KFO_HAUPTBEHANDLUNG_ENDE_NOT_POSSIBLE` Die Nacherfassung von "Ende KFO Hauptbehandlung" ist nicht möglich, da bereits weitere kieferorthopädische Behandlungen gebucht wurden.
    `static int` | `KFO_HAUPTBEHANDLUNG_IOTN_CONFLICT` Die Buchung "IOTN-Feststellung" ist nicht möglich, da sich der Patient in einer bestehenden KFO Hauptbehandlung befindet.
    `static int` | `KFO_HAUPTBEHANDLUNG_PERIOD_VIOLATION` Die Buchung "KFO Hauptbehandlung" ist nicht möglich, da innerhalb des letzten Jahres eine interzeptive Behandlung durchgeführt wurde.
    `static int` | `KFO_HAUPTBEHANDLUNG_REPARATUR_KFO_HAUPTBEHANDLUNG_CONFLICT` Die Buchung "Reparatur KFO Hauptbehandlung" ist nur innerhalb einer bestehenden KFO Hauptbehandlung möglich.
    `static int` | `KFO_HAUPTBEHANDLUNG_WITH_OTHER_VP` Die Buchung der Konsultation ist nicht möglich, da eine neue KFO Hauptbehandlung durch einen anderen Vertragspartner begonnen wurde.
    `static int` | `KFO_MUNDHYGIENE_KIND_ALLGEMEIN_NOT_POSSIBLE` Die Buchung "Mundhygiene Kind Allgemein" ist nicht möglich, da die letzte Mundhygiene-Untersuchung weniger als 12 Monate zurückliegt.
    `static int` | `KFO_MUNDHYGIENE_KIND_FESTS_REGULIERUNG_NOT_POSSIBLE` Die Buchung "Mundhygiene Kind fests.
    `static int` | `KONSULTATION_ALREADY_CANCELLED` Die Konsultation ist bereits storniert.
    `static int` | `KONSULTATION_CHANGED` Die Konsultation wurde von einem anderen Benutzer geändert.
    `static int` | `KONSULTATION_NOT_CANCELLED` Das Zurücksetzen des Stornos ist nicht möglich, da die Konsultation nicht den Status storniert hat.
    `static int` | `MAX_ANZAHL_KONSULTATIONEN_UEBERSCHRITTEN` Die maximal Anzahl der angeforderten Konsultationen wurde überschritten.
    `static int` | `MAX_SUCHANFRAGEN_EXCEEDED` Die Anzahl der maximal erlaubten Suchanfragen ist überschritten.
    `static int` | `NO_ANSPRUCH_PROVIDED_EXCEPTION` Einer der abgeleiteten Ansprüche muss ausgewählt werden.
    `static int` | `NO_CHANGE_POSSIBLE` Die Änderung der Konsultation ist nicht möglich, da zu dieser Konsultation bereits eine Dokumentation des Brustkrebsfrüherkennungsservice übermittelt wurde.
    `static int` | `NO_EINLADUNG_FOR_BKF_VM` Die Buchung der Konsultation ist nicht möglich, da kein aktuell gültiger VM-Leistungsanspruch vorhanden ist.
    `static int` | `NO_INTERZEPTIVE_BEHANDLUNG_EXISTS` Die Buchung "Ende interzeptive Behandlung" ist nicht möglich, da bei Ihnen keine (gültige) interzeptive Behandlung zu diesem Patienten existiert.
    `static int` | `NO_KFO_HAUPTBEHANDLUNG_EXISTS` Die Buchung "Ende KFO Hauptbehandlung" ist nicht möglich, da bei Ihnen keine (gültige) KFO Hauptbehandlung zu diesem Patienten existiert.
    `static int` | `NO_KONSULTATION_FOR_SIGNING_FOUND` Es wurden keine Konsultationen zum Nachsignieren vorgefunden.
    `static int` | `NO_KVA_LEISTUNGSANSPRUCH_EXCEPTION` Der Patient hat keinen gültigen Krankenversicherungsanspruch.
    `static int` | `NO_LEISTUNGSANSPRUCH_FOR_FACHGEBIET_EXCEPTION` Alle erlaubten Erstkonsultationen für das angegebene Fachgebiet und den angegebenen KVT wurden bereits verbraucht.
    `static int` | `NO_LEISTUNGSANSPRUCH_FOR_FACHGRUPPE_EXCEPTION` Alle erlaubten Erstkonsultationen für die Fachgebietsgruppe und den angegebenen KVT wurden bereits verbraucht.
    `static int` | `NO_OPEN_EINLADUNG_FOR_BKF_VM` Die Buchung der Konsultation ist nicht möglich, da der aktuelle VM-Leistungsanspruch durch die Übermittlung einer Screeningdokumentation bereits in Anspruch genommen wurde.
    `static int` | `NO_STORNO_POSSIBLE` Die Stornierung der Konsultation ist nicht möglich, da zu dieser Konsultation bereits eine Dokumentation des Brustkrebsfrüherkennungsservice übermittelt wurde.
    `static int` | `NO_SUCH_CLAIM_EXCEPTION` Der Patient hat keinen gültigen Krankenversicherungsanspruch zum gewählten KVT.
    `static int` | `NO_SUCH_KONSULTATION` Die Konsultation existiert nicht.
    `static int` | `NO_SVT_PROVIDED_EXCEPTION` Es liegt eine Mehrfachversicherung vor - KVT muss erfasst werden.
    `static int` | `NO_VA_MATCHING_KONSULTATION` Es existiert keine passende Vorsorgekonsultation zum Behandlungsfall VU Folgetermin.
    `static int` | `NO_VPANSPRUCH_EXCEPTION` Es existiert kein gültiger Vertragspartner-Anspruch.
    `static int` | `NO_VPANSPRUCH_FOR_SVT_EXCEPTION` Es existiert kein gültiger Vertragspartner-Vertrag zum KVT des Patienten.
    `static int` | `OFFLINE_FRIST_EXCEEDED` Die Aufbewahrungsfrist für Offlinekonsultationen ist überschritten.
    `static int` | `OFFLINETRANSFER_ALREADY_IN_PROCESS` Offlinedaten werden zurzeit von einem anderen Anwender bearbeitet/übertragen.
    `static int` | `OTHER_VM_EXIST` Die Buchung der Konsultation ist nicht möglich, da bereits eine VM Erstkonsultation bei Ihnen oder bei einem anderen Vertragspartner erfasst wurde.
    `static int` | `PATIENT_AGE_MISSING` Die Buchung der Konsultation ist nicht möglich, da für den Patienten kein Alter ermittelt werden konnte.
    `static int` | `REFERERALL_REQUIRED_EXCEPTION` Gewähltes Fachgebiet ist überweisungsgebunden.
    `static int` | `REPARATUR_KFO_HAUPTBEHANDLUNG_ALREADY_EXISTS` Es wurde bereits eine Reparatur innerhalb der bestehenden KFO Hauptbehandlung durch Sie gebucht.
    `static int` | `SAME_BEHANDLUNGSFALL` Es wurde kein neuer Behandlungsfall ausgewählt.
    `static int` | `SVNR_FEHLT` SVNR fehlt in den Eingangsdaten.
    `static int` | `SYNC_SUCHANFRAGE_NOT_AVAIL` Die Suchfunktion `getKonsultationsdaten` kann nicht synchron durchgeführt werden.
    `static int` | `TIME_NOT_ELAPSED` Der Zeitabstand seit der letzten Konsultation mit diesem Behandlungsfall ist für den Patienten zu gering.
    `static int` | `TOKEN_CREATIONTIME_TO_BEHANDLUNGSDATUM_EXPIRED` Der Erstellungszeitpunkt des CardTokens weicht zu stark vom Behandlungsdatum der Konsultation ab.
    `static int` | `TREATMENT_DATE_IN_FUTURE_EXCEPTION` Das angegeben Behandlungsdatum liegt in der Zukunft.
    `static int` | `ZUSATZINFO_ANTWORTID_ALREADY_USED` Für die angegebene Zusatzinformationsantwort-Id wurde bereits eine Antwort übermittelt.
    `static int` | `ZUSATZINFO_ANTWORTID_INVALID` Die angegebene Zusatzinformationsantwort-Id ist nicht bekannt.
    `static int` | `ZUSATZINFO_ANTWORTID_NOT_ALLOWED` Die Konsultation zu der die Zusatzinformationen angezeigt wurden, wurde durch einen anderen Vertragspartner erfasst.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `KseExceptionConstants()`

  - ### Method Summary

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### INVALID_CLAIM_EXCEPTION

          public static final int INVALID_CLAIM_EXCEPTION

      Gewählter abgeleiteter KV-Anspruch ist nicht mehr gültig.
      ORCLI-Code: ZS-00011
      See Also:
        Constant Field Values

    - #### INVALID_SPECIALISM_EXCEPTION

          public static final int INVALID_SPECIALISM_EXCEPTION

      Fachgebietscode ist am e-card Serversystem nicht gültig.
      ORCLI-Code: ZS-00006
      See Also:
        Constant Field Values

    - #### NO_KVA_LEISTUNGSANSPRUCH_EXCEPTION

          public static final int NO_KVA_LEISTUNGSANSPRUCH_EXCEPTION

      Der Patient hat keinen gültigen Krankenversicherungsanspruch.
      ORCLI-Code: ZS-00007
      See Also:
        Constant Field Values

    - #### NO_LEISTUNGSANSPRUCH_FOR_FACHGEBIET_EXCEPTION

          public static final int NO_LEISTUNGSANSPRUCH_FOR_FACHGEBIET_EXCEPTION

      Alle erlaubten Erstkonsultationen für das angegebene Fachgebiet und den angegebenen KVT wurden bereits verbraucht.
      ORCLI-Code: CL-00062, CL-00079, CL-00088 (ZS-00015, ZS-00081)
      See Also:
        Constant Field Values

    - #### NO_LEISTUNGSANSPRUCH_FOR_FACHGRUPPE_EXCEPTION

          public static final int NO_LEISTUNGSANSPRUCH_FOR_FACHGRUPPE_EXCEPTION

      Alle erlaubten Erstkonsultationen für die Fachgebietsgruppe und den angegebenen KVT wurden bereits verbraucht.
      ORCLI-Code: CL-00062, CL-00079, CL-00088 (ZS-00016, ZS-00082)
      See Also:
        Constant Field Values

    - #### NO_SUCH_CLAIM_EXCEPTION

          public static final int NO_SUCH_CLAIM_EXCEPTION

      Der Patient hat keinen gültigen Krankenversicherungsanspruch zum gewählten KVT.
      ORCLI-Code: ZS-00009
      See Also:
        Constant Field Values

    - #### NO_VPANSPRUCH_EXCEPTION

          public static final int NO_VPANSPRUCH_EXCEPTION

      Es existiert kein gültiger Vertragspartner-Anspruch.
      ORCLI-Code: ZS-00013
      See Also:
        Constant Field Values

    - #### NO_VPANSPRUCH_FOR_SVT_EXCEPTION

          public static final int NO_VPANSPRUCH_FOR_SVT_EXCEPTION

      Es existiert kein gültiger Vertragspartner-Vertrag zum KVT des Patienten.
      ORCLI-Code: ZS-00003
      See Also:
        Constant Field Values

    - #### NO_SVT_PROVIDED_EXCEPTION

          public static final int NO_SVT_PROVIDED_EXCEPTION

      Es liegt eine Mehrfachversicherung vor - KVT muss erfasst werden.
      - Der Patient ist mehrfach versichert.
      - Einer der ÖGK-Ansprüche muss ausgewählt werden.
      Die zur Auswahl stehenden Ansprüche (`Anspruch`) werden in der Exception mitgeliefert. Siehe dazu auch das Vertragspartner-Benutzerhandbuch des aktuellen Release, Kapitel "Patient hat mehrere KV-Ansprüche".
      ORCLI-Code: ZS-00027, ZS-00037
      See Also:
        Constant Field Values

    - #### REFERERALL_REQUIRED_EXCEPTION

          public static final int REFERERALL_REQUIRED_EXCEPTION

      Gewähltes Fachgebiet ist überweisungsgebunden.
      ORCLI-Code: ZS-00017
      See Also:
        Constant Field Values

    - #### NO_ANSPRUCH_PROVIDED_EXCEPTION

          public static final int NO_ANSPRUCH_PROVIDED_EXCEPTION

      Einer der abgeleiteten Ansprüche muss ausgewählt werden. Die zur Auswahl stehenden Ansprüche ( `Anspruch`) werden in der Exception geliefert.
      ORCLI-Code: ZS-00010
      See Also:
        Constant Field Values

    - #### DATE_OUT_OF_RANGE_EXCEPTION

          public static final int DATE_OUT_OF_RANGE_EXCEPTION

      Das Behandlungsdatum liegt außerhalb des gültigen Bereichs.
      ORCLI-Code: ZS-00005
      See Also:
        Constant Field Values

    - #### TREATMENT_DATE_IN_FUTURE_EXCEPTION

          public static final int TREATMENT_DATE_IN_FUTURE_EXCEPTION

      Das angegeben Behandlungsdatum liegt in der Zukunft.
      ORCLI-Code: ZS-00020
      See Also:
        Constant Field Values

    - #### DATE_IN_FUTURE_EXCEPTION

          public static final int DATE_IN_FUTURE_EXCEPTION

      Das angegebene Bearbeitungsdatum liegt in der Zukunft.
      ORCLI-Code: ZS-00033
      See Also:
        Constant Field Values

    - #### SYNC_SUCHANFRAGE_NOT_AVAIL

          public static final int SYNC_SUCHANFRAGE_NOT_AVAIL

      Die Suchfunktion `getKonsultationsdaten` kann nicht synchron durchgeführt werden.
      ORCLI-Code: ZS-00052
      See Also:
        Constant Field Values

    - #### ASYNC_REQUEST_ID_NOT_FOUND

          public static final int ASYNC_REQUEST_ID_NOT_FOUND

      Die angeforderte Id zum Download der Konsultationsdaten konnte am e-card Server nicht gefunden werden.
      ORCLI-Code: ZS-00054
      See Also:
        Constant Field Values

    - #### ASYNC_REQUEST_NOT_PROCESSED

          public static final int ASYNC_REQUEST_NOT_PROCESSED

      Der Download für die angeforderte Id steht am e-card Serversystem noch nicht bereit.
      ORCLI-Code: ZS-00055
      See Also:
        Constant Field Values

    - #### ASYNC_REQUEST_ERROR

          public static final int ASYNC_REQUEST_ERROR

      Bei der Bearbeitung der Suchanfrage ist am e-card Serversystem ein Fehler aufgetreten, daher gibt es kein Ergebnis zu der Suchanfrage.
      ORCLI-Code: ZS-00060
      See Also:
        Constant Field Values

    - #### AGE_NOT_REACHED

          public static final int AGE_NOT_REACHED

      Das nötige Alter wurde für den gewählten Behandlungsfall noch nicht erreicht.
      ORCLI-Code: ZS-00061, ZS-00158
      See Also:
        Constant Field Values

    - #### NO_VA_MATCHING_KONSULTATION

          public static final int NO_VA_MATCHING_KONSULTATION

      Es existiert keine passende Vorsorgekonsultation zum Behandlungsfall VU Folgetermin.
      ORCLI-Code: ZS-00063
      See Also:
        Constant Field Values

    - #### TIME_NOT_ELAPSED

          public static final int TIME_NOT_ELAPSED

      Der Zeitabstand seit der letzten Konsultation mit diesem Behandlungsfall ist für den Patienten zu gering.
      ORCLI-Code: ZS-00064
      See Also:
        Constant Field Values

    - #### KONSULTATION_CHANGED

          public static final int KONSULTATION_CHANGED

      Die Konsultation wurde von einem anderen Benutzer geändert.
      ORCLI-Code: ZS-00012
      See Also:
        Constant Field Values

    - #### KONSULTATION_ALREADY_CANCELLED

          public static final int KONSULTATION_ALREADY_CANCELLED

      Die Konsultation ist bereits storniert.
      ORCLI-Code: ZS-00023
      See Also:
        Constant Field Values

    - #### KONSULTATION_NOT_CANCELLED

          public static final int KONSULTATION_NOT_CANCELLED

      Das Zurücksetzen des Stornos ist nicht möglich, da die Konsultation nicht den Status storniert hat.
      ORCLI-Code: ZS-00024
      See Also:
        Constant Field Values

    - #### INVALID_BEHANDLUNGSFALL

          public static final int INVALID_BEHANDLUNGSFALL

      Der ausgewählte Behandlungsfall ist für das ausgewählte Fachgebiet nicht erlaubt.
      ORCLI-Code: ZS-00025, ZS-00062
      See Also:
        Constant Field Values

    - #### SAME_BEHANDLUNGSFALL

          public static final int SAME_BEHANDLUNGSFALL

      Es wurde kein neuer Behandlungsfall ausgewählt. Zu dieser Konsultation wurden keine Änderungen gespeichert.
      ORCLI-Code: ZS-00026
      See Also:
        Constant Field Values

    - #### NO_SUCH_KONSULTATION

          public static final int NO_SUCH_KONSULTATION

      Die Konsultation existiert nicht.
      ORCLI-Code: ZS-00040
      See Also:
        Constant Field Values

    - #### OFFLINE_FRIST_EXCEEDED

          public static final int OFFLINE_FRIST_EXCEEDED

      Die Aufbewahrungsfrist für Offlinekonsultationen ist überschritten.
      ORCLI-Code: CL-A0030
      See Also:
        Constant Field Values

    - #### OFFLINETRANSFER_ALREADY_IN_PROCESS

          public static final int OFFLINETRANSFER_ALREADY_IN_PROCESS

      Offlinedaten werden zurzeit von einem anderen Anwender bearbeitet/übertragen.
      ORCLI-Code: CL-00197
      See Also:
        Constant Field Values

    - #### MAX_SUCHANFRAGEN_EXCEEDED

          public static final int MAX_SUCHANFRAGEN_EXCEEDED

      Die Anzahl der maximal erlaubten Suchanfragen ist überschritten.
      ORCLI-Code: ZS-00053
      See Also:
        Constant Field Values

    - #### INEXISTENT_ANSPRUCH_FOR_RESET

          public static final int INEXISTENT_ANSPRUCH_FOR_RESET

      Das Zurücksetzen des Stornos ist nicht möglich, da sich der FG-Quartalsanspruch geändert hat und keine zusätzliche Anspruchsnutzung, zum KVT der stornierten Konsultation genehmigt ist. Hinweis zum FG-Quartalsanspruch: Bei der ersten Konsultation innerhalb eines FG und des aktuellen Quartals muss sich der Patient, bei Mehrfachversicherung bei ASVG-Kassen, für einen der Ansprüche entscheiden. Nur der ausgewählte Anspruch, die Sonderversicherungsträger-Ansprüche und zusätzlich genehmigte Ansprüche werden für die Anspruchsprüfung verwendet. Zusätzlich genehmigte Anspruchsnutzung: Über die Onlineservices kann für einen Patienten, vom entsprechenden KVT, eine zusätzliche Anspruchsnutzung eines ASVG-Anspruchs für das FG und das aktuelle Quartal genehmigt werden.
      ORCLI-Code: ZS-00065
      See Also:
        Constant Field Values

    - #### ANSPRUCH_ONLY_FOR_VU_MKP_ALLOWED

          public static final int ANSPRUCH_ONLY_FOR_VU_MKP_ALLOWED

      Der Patient ist nur für Vorsorgeuntersuchungen und für Leistungen aus dem Mutter-Kind-Pass Programm anspruchsberechtigt.
      ORCLI-Code: ZS-00051
      See Also:
        Constant Field Values

    - #### BEHANDLUNGSFALL_FOR_GENDER_NOT_ALLOWED

          public static final int BEHANDLUNGSFALL_FOR_GENDER_NOT_ALLOWED

      Der Patient besitzt nicht das benötigte Geschlecht für diesen Behandlungsfall.
      ORCLI-Code: ZS-00076
      See Also:
        Constant Field Values

    - #### BEHANDLUNGSFALL_FOR_AGE_NOT_ALLOWED

          public static final int BEHANDLUNGSFALL_FOR_AGE_NOT_ALLOWED

      Der Patient hat das zulässige Alter für diesen Behandlungsfall überschritten.
      ORCLI-Code: ZS-00077
      See Also:
        Constant Field Values

    - #### NO_KONSULTATION_FOR_SIGNING_FOUND

          public static final int NO_KONSULTATION_FOR_SIGNING_FOUND

      Es wurden keine Konsultationen zum Nachsignieren vorgefunden.
      ORCLI-Code: ZS-00085
      See Also:
        Constant Field Values

    - #### CERTIFICATE_PROBLEM_OCARD_DIALOG_REQUIRED

          public static final int CERTIFICATE_PROBLEM_OCARD_DIALOG_REQUIRED

      Es ist ein technisches Problem bei der Verarbeitung des SW-Zertifikats aufgetreten. Bitte melden Sie einen neuen Dialog mit der Ordinationskarte an um die Offline-Funktionalität nutzen zu können. Hinweis: Nur bei Verwendung eines SW-Zertifikats im Offline-Modus zur Authentifizierung oder Signierung eines Requests:
      - es ist kein SW-Zertifikat am Client vorhanden
      - das SW-Zertifikat am Client ist defekt
      - das SW-Zertifikat ist abgelaufen
      ORCLI-Code: CL-00273, CL-00275, CL-00276
      See Also:
        Constant Field Values

    - #### ZUSATZINFO_ANTWORTID_ALREADY_USED

          public static final int ZUSATZINFO_ANTWORTID_ALREADY_USED

      Für die angegebene Zusatzinformationsantwort-Id wurde bereits eine Antwort übermittelt.
      ORCLI-Code: ZS-00092
      See Also:
        Constant Field Values

    - #### ZUSATZINFO_ANTWORTID_NOT_ALLOWED

          public static final int ZUSATZINFO_ANTWORTID_NOT_ALLOWED

      Die Konsultation zu der die Zusatzinformationen angezeigt wurden, wurde durch einen anderen Vertragspartner erfasst.
      ORCLI-Code: ZS-00091
      See Also:
        Constant Field Values

    - #### ZUSATZINFO_ANTWORTID_INVALID

          public static final int ZUSATZINFO_ANTWORTID_INVALID

      Die angegebene Zusatzinformationsantwort-Id ist nicht bekannt.
      ORCLI-Code: ZS-00090
      See Also:
        Constant Field Values

    - #### NO_EINLADUNG_FOR_BKF_VM

          public static final int NO_EINLADUNG_FOR_BKF_VM

      Die Buchung der Konsultation ist nicht möglich, da kein aktuell gültiger VM-Leistungsanspruch vorhanden ist.
      ORCLI-Code: ZS-00107
      See Also:
        Constant Field Values

    - #### NO_OPEN_EINLADUNG_FOR_BKF_VM

          public static final int NO_OPEN_EINLADUNG_FOR_BKF_VM

      Die Buchung der Konsultation ist nicht möglich, da der aktuelle VM-Leistungsanspruch durch die Übermittlung einer Screeningdokumentation bereits in Anspruch genommen wurde.
      ORCLI-Code: ZS-00108
      See Also:
        Constant Field Values

    - #### OTHER_VM_EXIST

          public static final int OTHER_VM_EXIST

      Die Buchung der Konsultation ist nicht möglich, da bereits eine VM Erstkonsultation bei Ihnen oder bei einem anderen Vertragspartner erfasst wurde.
      ORCLI-Code: ZS-00109
      See Also:
        Constant Field Values

    - #### NO_STORNO_POSSIBLE

          public static final int NO_STORNO_POSSIBLE

      Die Stornierung der Konsultation ist nicht möglich,
      - da zu dieser Konsultation bereits eine Dokumentation des Brustkrebsfrüherkennungsservice übermittelt wurde.
      - da die dazugehörige Behandlungsfolge (KFO Hauptbehandlung bzw. interzeptive Behandlung) bereits abgeschlossen wurde.
      - da weitere relevante Konsultationen innerhalb der KFO Hauptbehandlung bzw. der interzeptiven Behandlung gebucht wurden.
      - da weitere relevante Konsultationen nach Abschluss der KFO Hauptbehandlung bzw. der interzeptiven Behandlung gebucht wurden.
      ORCLI-Code: ZS-00110, ZS-00150, ZS-00151, ZS-00152, ZS-00153, ZS-00154
      See Also:
        Constant Field Values

    - #### NO_CHANGE_POSSIBLE

          public static final int NO_CHANGE_POSSIBLE

      Die Änderung der Konsultation ist nicht möglich,
      - da zu dieser Konsultation bereits eine Dokumentation des Brustkrebsfrüherkennungsservice übermittelt wurde.
      - da die dazugehörige Behandlungsfolge (KFO Hauptbehandlung bzw. interzeptive Behandlung) bereits abgeschlossen wurde.
      - da weitere relevante Konsultationen innerhalb der KFO Hauptbehandlung bzw. der interzeptiven Behandlung gebucht wurden.
      - da weitere relevante Konsultationen nach Abschluss der KFO Hauptbehandlung bzw. der interzeptiven Behandlung gebucht wurden.
      ORCLI-Code: ZS-00111, ZS-00145, ZS-00146, ZS-00147, ZS-00148, ZS-00149
      See Also:
        Constant Field Values

    - #### INTERZEPTIVE_BEHANDLUNG_ALREADY_EXISTS

          public static final int INTERZEPTIVE_BEHANDLUNG_ALREADY_EXISTS

      Die Buchung einer weiteren Erstkonsultation ist nicht möglich, da sich der Patient bereits in interzeptiver Behandlung befindet.
      ORCLI-Code: ZS-00125
      See Also:
        Constant Field Values

    - #### KFO_HAUPTBEHANDLUNG_ALREADY_EXISTS

          public static final int KFO_HAUPTBEHANDLUNG_ALREADY_EXISTS

      Die Buchung einer weiteren Erstkonsultation ist nicht möglich, da sich der Patient bereits in einer KFO Hauptbehandlung befindet.
      ORCLI-Code: ZS-00126
      See Also:
        Constant Field Values

    - #### NO_INTERZEPTIVE_BEHANDLUNG_EXISTS

          public static final int NO_INTERZEPTIVE_BEHANDLUNG_EXISTS

      Die Buchung "Ende interzeptive Behandlung" ist nicht möglich, da bei Ihnen keine (gültige) interzeptive Behandlung zu diesem Patienten existiert.
      ORCLI-Code: ZS-00127
      See Also:
        Constant Field Values

    - #### NO_KFO_HAUPTBEHANDLUNG_EXISTS

          public static final int NO_KFO_HAUPTBEHANDLUNG_EXISTS

      Die Buchung "Ende KFO Hauptbehandlung" ist nicht möglich, da bei Ihnen keine (gültige) KFO Hauptbehandlung zu diesem Patienten existiert.
      ORCLI-Code: ZS-00128
      See Also:
        Constant Field Values

    - #### INTERZEPTIVE_BEHANDLUNG_ALREADY_FINISHED

          public static final int INTERZEPTIVE_BEHANDLUNG_ALREADY_FINISHED

      Die Buchung "Ende interzeptive Behandlung" ist nicht möglich, da die interzeptive Behandlung des Patienten bereits durch Sie beendet wurde.
      ORCLI-Code: ZS-00129
      See Also:
        Constant Field Values

    - #### KFO_HAUPTBEHANDLUNG_ALREADY_FINISHED

          public static final int KFO_HAUPTBEHANDLUNG_ALREADY_FINISHED

      Die Buchung "Ende KFO Hauptbehandlung" ist nicht möglich, da die KFO Hauptbehandlung des Patienten bereits durch Sie beendet wurde.
      ORCLI-Code: ZS-00130
      See Also:
        Constant Field Values

    - #### INTERZEPTIVE_BEHANDLUNG_WITH_OTHER_VP

          public static final int INTERZEPTIVE_BEHANDLUNG_WITH_OTHER_VP

      Die Buchung der Konsultation ist nicht möglich, da eine neue interzeptive Behandlung durch einen anderen Vertragspartner begonnen wurde.
      ORCLI-Code: ZS-00131
      See Also:
        Constant Field Values

    - #### KFO_HAUPTBEHANDLUNG_WITH_OTHER_VP

          public static final int KFO_HAUPTBEHANDLUNG_WITH_OTHER_VP

      Die Buchung der Konsultation ist nicht möglich, da eine neue KFO Hauptbehandlung durch einen anderen Vertragspartner begonnen wurde.
      ORCLI-Code: ZS-00132
      See Also:
        Constant Field Values

    - #### KFO_HAUPTBEHANDLUNG_PERIOD_VIOLATION

          public static final int KFO_HAUPTBEHANDLUNG_PERIOD_VIOLATION

      Die Buchung "KFO Hauptbehandlung" ist nicht möglich, da innerhalb des letzten Jahres eine interzeptive Behandlung durchgeführt wurde.
      ORCLI-Code: ZS-00134
      See Also:
        Constant Field Values

    - #### KFO_HAUPTBEHANDLUNG_COMPLIANCE_CONFLICT

          public static final int KFO_HAUPTBEHANDLUNG_COMPLIANCE_CONFLICT

      Die Buchung "Compliance-Verwarnung" ist nur innerhalb einer bestehenden KFO Hauptbehandlung möglich.
      ORCLI-Code: ZS-00135
      See Also:
        Constant Field Values

    - #### COMPLIANCE_ALREADY_EXISTS

          public static final int COMPLIANCE_ALREADY_EXISTS

      Es wurde bereits eine Compliance-Verwarnung innerhalb der bestehenden KFO Hauptbehandlung durch Sie gebucht.
      ORCLI-Code: ZS-00136
      See Also:
        Constant Field Values

    - #### IOTN_MAX_LIMIT_EXCEEDED

          public static final int IOTN_MAX_LIMIT_EXCEEDED

      Für den Patienten kann keine IOTN-Feststellung mehr gebucht werden, da die maximal erlaubte Anzahl an IOTN-Feststellungen schon erreicht wurde.
      ORCLI-Code: ZS-00137
      See Also:
        Constant Field Values

    - #### IOTN_PERIOD_VIOLATION

          public static final int IOTN_PERIOD_VIOLATION

      Für den Patienten kann aktuell keine IOTN-Feststellung gebucht werden, da die letzte IOTN-Feststellung weniger als ein Jahr zurückliegt.
      ORCLI-Code: ZS-00138
      See Also:
        Constant Field Values

    - #### KFO_HAUPTBEHANDLUNG_IOTN_CONFLICT

          public static final int KFO_HAUPTBEHANDLUNG_IOTN_CONFLICT

      Die Buchung "IOTN-Feststellung" ist nicht möglich, da sich der Patient in einer bestehenden KFO Hauptbehandlung befindet.
      ORCLI-Code: ZS-00139
      See Also:
        Constant Field Values

    - #### KFO_BERATUNG_MAX_LIMIT_EXCEEDED

          public static final int KFO_BERATUNG_MAX_LIMIT_EXCEEDED

      Für den Patienten kann keine KFO-Beratung mehr gebucht werden, da die maximal erlaubte Anzahl an KFO-Beratungen bereits erreicht wurde.
      ORCLI-Code: ZS-00140
      See Also:
        Constant Field Values

    - #### INTERZEPTIVE_BEHANLDUNG_INTERZEPTIVE_REPARATUR_CONFLICT

          public static final int INTERZEPTIVE_BEHANLDUNG_INTERZEPTIVE_REPARATUR_CONFLICT

      Die Buchung "Reparatur interzeptive Behandlung" ist nur innerhalb einer bestehenden interzeptiven Behandlung möglich.
      ORCLI-Code: ZS-00141
      See Also:
        Constant Field Values

    - #### INTERZEPTIVE_REPARATUR_ALREADY_EXISTS

          public static final int INTERZEPTIVE_REPARATUR_ALREADY_EXISTS

      Es wurde bereits eine Reparatur innerhalb der bestehenden interzeptiven Behandlung durch Sie gebucht.
      ORCLI-Code: ZS-00142
      See Also:
        Constant Field Values

    - #### KFO_HAUPTBEHANDLUNG_REPARATUR_KFO_HAUPTBEHANDLUNG_CONFLICT

          public static final int KFO_HAUPTBEHANDLUNG_REPARATUR_KFO_HAUPTBEHANDLUNG_CONFLICT

      Die Buchung "Reparatur KFO Hauptbehandlung" ist nur innerhalb einer bestehenden KFO Hauptbehandlung möglich.
      ORCLI-Code: ZS-00143
      See Also:
        Constant Field Values

    - #### REPARATUR_KFO_HAUPTBEHANDLUNG_ALREADY_EXISTS

          public static final int REPARATUR_KFO_HAUPTBEHANDLUNG_ALREADY_EXISTS

      Es wurde bereits eine Reparatur innerhalb der bestehenden KFO Hauptbehandlung durch Sie gebucht.
      ORCLI-Code: ZS-00144
      See Also:
        Constant Field Values

    - #### PATIENT_AGE_MISSING

          public static final int PATIENT_AGE_MISSING

      Die Buchung der Konsultation ist nicht möglich, da für den Patienten kein Alter ermittelt werden konnte.
      ORCLI-Code: ZS-00155
      See Also:
        Constant Field Values

    - #### ALREADY_NEW_INTERZEPTIVE_BEHANDLUNG

          public static final int ALREADY_NEW_INTERZEPTIVE_BEHANDLUNG

      Die Buchung der Konsultation ist nicht möglich, da bereits eine neue interzeptive Behandlung begonnen wurde.
      ORCLI-Code: ZS-00156
      See Also:
        Constant Field Values

    - #### ALREADY_NEW_KFO_HAUPTBEHANDLUNG

          public static final int ALREADY_NEW_KFO_HAUPTBEHANDLUNG

      Die Buchung der Konsultation ist nicht möglich, da bereits eine neue KFO Hauptbehandlung begonnen wurde.
      ORCLI-Code: ZS-00157
      See Also:
        Constant Field Values

    - #### INTERZEPTIVE_BEHANDLUNG_ENDE_NOT_POSSIBLE

          public static final int INTERZEPTIVE_BEHANDLUNG_ENDE_NOT_POSSIBLE

      Die Nacherfassung von "Ende interzeptive Behandlung" ist nicht möglich, da bereits weitere kieferorthopädische Behandlungen gebucht wurden.
      ORCLI-Code: ZS-00160
      See Also:
        Constant Field Values

    - #### KFO_HAUPTBEHANDLUNG_ENDE_NOT_POSSIBLE

          public static final int KFO_HAUPTBEHANDLUNG_ENDE_NOT_POSSIBLE

      Die Nacherfassung von "Ende KFO Hauptbehandlung" ist nicht möglich, da bereits weitere kieferorthopädische Behandlungen gebucht wurden.
      ORCLI-Code: ZS-00161
      See Also:
        Constant Field Values

    - #### KFO_MUNDHYGIENE_KIND_ALLGEMEIN_NOT_POSSIBLE

          public static final int KFO_MUNDHYGIENE_KIND_ALLGEMEIN_NOT_POSSIBLE

      Die Buchung "Mundhygiene Kind Allgemein" ist nicht möglich, da die letzte Mundhygiene-Untersuchung weniger als 12 Monate zurückliegt.
      ORCLI-Code: ZS-00169
      See Also:
        Constant Field Values

    - #### KFO_MUNDHYGIENE_KIND_FESTS_REGULIERUNG_NOT_POSSIBLE

          public static final int KFO_MUNDHYGIENE_KIND_FESTS_REGULIERUNG_NOT_POSSIBLE

      Die Buchung "Mundhygiene Kind fests. Regulierung" ist nicht möglich, da die letzte Mundhygiene-Untersuchung weniger als 6 Monate zurückliegt.
      ORCLI-Code: ZS-00170
      See Also:
        Constant Field Values

    - #### ERSATZBELEG_NEEDED_NO_CHANGE_POSSIBLE

          public static final int ERSATZBELEG_NEEDED_NO_CHANGE_POSSIBLE

      Für die gewünschte Änderung muss die Konsultation einen Ersatzbelegcode beinhalten.
      - Bitte stornieren Sie die Konsultation und erfassen Sie sie neu.
      - Es existiert kein passender elektronischer e-card Ersatzbeleg.
      ORCLI-Code: ZS-00171, ZS-00172
      See Also:
        Constant Field Values

    - #### ERSATZBELEGCODE_NOT_AVAILABLE_NOW

          public static final int ERSATZBELEGCODE_NOT_AVAILABLE_NOW

      Die Angabe des Ersatzbelegcodes wird aktuell (noch) nicht unterstützt.
      ORCLI-Code: ZS-00173
      See Also:
        Constant Field Values

    - #### FUNKTION_AUFRUF_NOT_POSSIBLE

          public static final int FUNKTION_AUFRUF_NOT_POSSIBLE

      Die aufgerufene Funktion steht zurzeit nicht zur Verfügung.
      ORCLI-Code: ZS-00179
      See Also:
        Constant Field Values

    - #### ABSOLUTES_LIMIT_KONSULTATIONEN_UEBERSCHRITTEN

          public static final int ABSOLUTES_LIMIT_KONSULTATIONEN_UEBERSCHRITTEN

      Die eingegebenen Suchkriterien führen zu einer unerlaubten Ergebnismenge. Bitte passen Sie die Suchkriterien an.
      ORCLI-Code: ZS-00180
      See Also:
        Constant Field Values

    - #### MAX_ANZAHL_KONSULTATIONEN_UEBERSCHRITTEN

          public static final int MAX_ANZAHL_KONSULTATIONEN_UEBERSCHRITTEN

      Die maximal Anzahl der angeforderten Konsultationen wurde überschritten.
      ORCLI-Code: ZS-00181
      See Also:
        Constant Field Values

    - #### INVALID_CARD_ODER_SIGNATUR

          public static final int INVALID_CARD_ODER_SIGNATUR

      Die gesteckte Karte wird vom e-card Serversystem nicht akzeptiert.
      ORCLI-Code: CL-00093
      See Also:
        Constant Field Values

    - #### TOKEN_CREATIONTIME_TO_BEHANDLUNGSDATUM_EXPIRED

          public static final int TOKEN_CREATIONTIME_TO_BEHANDLUNGSDATUM_EXPIRED

      Der Erstellungszeitpunkt des CardTokens weicht zu stark vom Behandlungsdatum der Konsultation ab.
      ORCLI-Code: ZS-00178
      See Also:
        Constant Field Values

    - #### SVNR_FEHLT

          public static final int SVNR_FEHLT

      SVNR fehlt in den Eingangsdaten.
      ORCLI-Code: ZS-00182
      See Also:
        Constant Field Values

    - #### ERSATZBELEGCODE_MIT_ECARDTOKEN_NOT_POSSIBLE

          public static final int ERSATZBELEGCODE_MIT_ECARDTOKEN_NOT_POSSIBLE

      Bei Verwendung des e-Card-Token des Patienten ist die Angabe eines Ersatzbelegcodes nicht zulässig.
      ORCLI-Code: ZS-00183
      See Also:
        Constant Field Values

    - #### ERSATZBELEGCODE_FOR_PATIENT_NOT_USEABLE

          public static final int ERSATZBELEGCODE_FOR_PATIENT_NOT_USEABLE

      Für den Patienten ist die Nutzung eines Ersatzbelegcodes nicht (mehr) möglich. Bitte erfassen Sie die Konsultation ohne Ersatzbelegcode.
      ORCLI-Code: ZS-00175
      See Also:
        Constant Field Values

    - #### BEHANDLUNGSFALL_MIT_ECARDTOKEN_NOT_POSSIBLE

          public static final int BEHANDLUNGSFALL_MIT_ECARDTOKEN_NOT_POSSIBLE

      Die Buchung der Konsultation ist nicht möglich, da für den Behandlungsfall die Verwendung der e-card des Patienten nicht zulässig ist.
      ORCLI-Code: ZS-00189
      See Also:
        Constant Field Values

    - #### BEHANDLUNGSFALL_FUER_SVT_NOT_ALLOWED

          public static final int BEHANDLUNGSFALL_FUER_SVT_NOT_ALLOWED

      Der Behandlungsfall ist für den SVT nicht zulässig.
      ORCLI-Code: ZS-00192
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### KseExceptionConstants

          public KseExceptionConstants()